DaemonForums  

Go Back   DaemonForums > OpenBSD > OpenBSD Packages and Ports

OpenBSD Packages and Ports Installation and upgrading of packages and ports on OpenBSD.

Reply
 
Thread Tools Display Modes
  #1   (View Single Post)  
Old 27th February 2016
jggimi's Avatar
jggimi jggimi is online now
More noise than signal
 
Join Date: May 2008
Location: USA
Posts: 6,376
Default Linux emulation: sundown process apparently underway

I noticed this commit to the OpenBSD ports tree. It appears that OpenBSD's compat_linux(8) ABI will eventually be removed, perhaps as early as OpenBSD 6.0-release, expected 1 November 2016.

For anyone unfamiliar with this, it is a compatibility layer in the kernel to permit applications compiled for 32-bit Intel Linux to run on OpenBSD, without recompilation. Along with the kernel compatibility layer, all Linux libraries needed by the application must also be provisioned.

The compat_linux() layer has always been i386-specific, and is currently tied to 8-year-old base Linux libraries (Fedora 10), with all of the unpatched CVEs that implies.

If you are using compat_linux() on OpenBSD/i386, you have time to consider your exit strategy. If this removal occurs with OpenBSD 6.0 as I expect, you will not need to make a transition until May 2017, when support ceases for OpenBSD 5.9 with the release of OpenBSD 6.1.

Your choices:
  1. Choose replacements for your Linux binary applications.
  2. Switch to an OS where your Linux binary applications can be supported.

Last edited by jggimi; 27th February 2016 at 01:29 PM. Reason: repair link
Reply With Quote
  #2   (View Single Post)  
Old 28th February 2016
Oko's Avatar
Oko Oko is offline
Rc.conf Instructor
 
Join Date: May 2008
Location: Kosovo, Serbia
Posts: 1,102
Default

Long overdue IMHO.
Reply With Quote
  #3   (View Single Post)  
Old 1st March 2016
ctps's Avatar
ctps ctps is offline
New User
 
Join Date: Feb 2016
Posts: 5
Default

Quote:
Originally Posted by Oko View Post
Long overdue IMHO.
just read about this on Twitter and thought the same
__________________
because security matters.
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Firefox and Linux Emulation (Procfs support is gone in Openbsd) st1905 OpenBSD Packages and Ports 7 20th August 2014 06:37 PM
enabling linux binary emulation .. could it harm ? daemonfowl OpenBSD Security 7 30th July 2012 02:20 PM
Why does the opera need linux emulation ? sw2wolf OpenBSD Packages and Ports 6 20th March 2012 12:18 PM
shared libraries and linux emulation Business_woman FreeBSD General 4 16th November 2008 10:03 AM
Linux emulation Mr-Biscuit FreeBSD General 2 9th October 2008 09:44 PM


All times are GMT. The time now is 03:58 PM.


Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.
Content copyright © 2007-2010, the authors
Daemon image copyright ©1988, Marshall Kirk McKusick